## WebKitDOMXPathResult WebKitDOMXPathResult |

## Functions

WebKitDOMNode * | webkit_dom_xpath_result_iterate_next ()
WebKitDOMNode * | webkit_dom_xpath_result_snapshot_item ()
gushort | webkit_dom_xpath_result_get_result_type ()
gdouble | webkit_dom_xpath_result_get_number_value ()
gchar * | webkit_dom_xpath_result_get_string_value ()
gboolean | webkit_dom_xpath_result_get_boolean_value ()
WebKitDOMNode * | webkit_dom_xpath_result_get_single_node_value ()
gboolean | webkit_dom_xpath_result_get_invalid_iterator_state ()
gulong | webkit_dom_xpath_result_get_snapshot_length ()

## Properties

gboolean | boolean-value | Read
gboolean | invalid-iterator-state | Read
gdouble | number-value | Read
guint | result-type | Read
WebKitDOMNode * | single-node-value | Read
gulong | snapshot-length | Read
gchar * | string-value | Read

## Types and Values

struct | WebKitDOMXPathResult
#define | WEBKIT_DOM_XPATH_RESULT_ANY_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_NUMBER_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_STRING_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_BOOLEAN_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_ITERATOR_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_ITERATOR_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_SNAPSHOT_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_SNAPSHOT_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_ANY_UNORDERED_NODE_TYPE
#define | WEBKIT_DOM_XPATH_RESULT_FIRST_ORDERED_NODE_TYPE

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMXPathResult

## Description

## Functions

### webkit_dom_xpath_result_iterate_next ()

    WebKitDOMNode *
    webkit_dom_xpath_result_iterate_next (WebKitDOMXPathResult *self,
                                          GError **error);

`webkit_dom_xpath_result_iterate_next` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_xpath_result_snapshot_item ()

    WebKitDOMNode *
    webkit_dom_xpath_result_snapshot_item (WebKitDOMXPathResult *self,
                                           gulong index,
                                           GError **error);

`webkit_dom_xpath_result_snapshot_item` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |
index | A gulong |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_xpath_result_get_result_type ()

    gushort
    webkit_dom_xpath_result_get_result_type
                                   (WebKitDOMXPathResult *self);

`webkit_dom_xpath_result_get_result_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |

#### Returns

A gushort

### webkit_dom_xpath_result_get_number_value ()

    gdouble
    webkit_dom_xpath_result_get_number_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

`webkit_dom_xpath_result_get_number_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gdouble

### webkit_dom_xpath_result_get_string_value ()

    gchar *
    webkit_dom_xpath_result_get_string_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

`webkit_dom_xpath_result_get_string_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gchar

### webkit_dom_xpath_result_get_boolean_value ()

    gboolean
    webkit_dom_xpath_result_get_boolean_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

`webkit_dom_xpath_result_get_boolean_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gboolean

### webkit_dom_xpath_result_get_single_node_value ()

    WebKitDOMNode *
    webkit_dom_xpath_result_get_single_node_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

`webkit_dom_xpath_result_get_single_node_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_xpath_result_get_invalid_iterator_state ()

    gboolean
    webkit_dom_xpath_result_get_invalid_iterator_state
                                   (WebKitDOMXPathResult *self);

`webkit_dom_xpath_result_get_invalid_iterator_state` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |

#### Returns

A gboolean

### webkit_dom_xpath_result_get_snapshot_length ()

    gulong
    webkit_dom_xpath_result_get_snapshot_length
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

`webkit_dom_xpath_result_get_snapshot_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gulong

## Types and Values

### struct WebKitDOMXPathResult

    struct WebKitDOMXPathResult;

`WebKitDOMXPathResult` is deprecated and should not be used in newly-written code.

### WEBKIT_DOM_XPATH_RESULT_ANY_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_ANY_TYPE 0

`WEBKIT_DOM_XPATH_RESULT_ANY_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_NUMBER_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_NUMBER_TYPE 1

`WEBKIT_DOM_XPATH_RESULT_NUMBER_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_STRING_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_STRING_TYPE 2

`WEBKIT_DOM_XPATH_RESULT_STRING_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_BOOLEAN_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_BOOLEAN_TYPE 3

`WEBKIT_DOM_XPATH_RESULT_BOOLEAN_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_ITERATOR_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_ITERATOR_TYPE 4

`WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_ITERATOR_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_ITERATOR_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_ITERATOR_TYPE 5

`WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_ITERATOR_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_SNAPSHOT_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_SNAPSHOT_TYPE 6

`WEBKIT_DOM_XPATH_RESULT_UNORDERED_NODE_SNAPSHOT_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_SNAPSHOT_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_SNAPSHOT_TYPE 7

`WEBKIT_DOM_XPATH_RESULT_ORDERED_NODE_SNAPSHOT_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_ANY_UNORDERED_NODE_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_ANY_UNORDERED_NODE_TYPE 8

`WEBKIT_DOM_XPATH_RESULT_ANY_UNORDERED_NODE_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_XPATH_RESULT_FIRST_ORDERED_NODE_TYPE

    #define WEBKIT_DOM_XPATH_RESULT_FIRST_ORDERED_NODE_TYPE 9

`WEBKIT_DOM_XPATH_RESULT_FIRST_ORDERED_NODE_TYPE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

## Property Details

### The `“boolean-value”` property

      “boolean-value”            gboolean

read-only gboolean XPathResult:boolean-value.

Flags: Read

Default value: FALSE

### The `“invalid-iterator-state”` property

      “invalid-iterator-state”   gboolean

read-only gboolean XPathResult:invalid-iterator-state.

Flags: Read

Default value: FALSE

### The `“number-value”` property

      “number-value”             gdouble

read-only gdouble XPathResult:number-value.

Flags: Read

Default value: 0

### The `“result-type”` property

      “result-type”              guint

read-only gushort XPathResult:result-type.

Flags: Read

Default value: 0

### The `“single-node-value”` property

      “single-node-value”        WebKitDOMNode *

read-only WebKitDOMNode* XPathResult:single-node-value.

Flags: Read

### The `“snapshot-length”` property

      “snapshot-length”          gulong

read-only gulong XPathResult:snapshot-length.

Flags: Read

### The `“string-value”` property

      “string-value”             gchar *

read-only gchar* XPathResult:string-value.

Flags: Read

Default value: ""